Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

QueryExponBlockVolume

QueryExponBlockVolume

GET/zstack/v1/expon/block-volumes
GET/zstack/v1/expon/block-volumes/{uuid}

Operation ID

QueryExponBlockVolume

Since

5.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • actualSize
      LongRequired

      The actual size.

    • createDate
      StringRequired

      The creation time.

    • deviceId
      integerRequired

      The device ID.

    • exponStatus
      StringRequired

      The expon status.

    • format
      StringRequired

      The format.

    • InstallPath
      StringRequired

      The installation path.

    • isShareable
      BooleanRequired

      Whether the block volume is sharable.

    • iscsiPath
      StringRequired

      The ISCSI path.

    • lastAttachDate
      TimestampRequired

      The last attachment time.

    • lastDetachDate
      TimestampRequired

      The last detachment time.

    • lastVmInstanceUuid
      StringRequired

      The UUID of the instance which the block volume was attached to last time.

    • name
      StringRequired

      The resource name.

    • primaryStorageUuid
      StringRequired

      The primary storage UUID.

    • protocol
      StringRequired

      The protocol.

    • size
      LongRequired

      The block volume size.

    • state
      StringRequired

      Whether the block volume is enabled.

    • status
      StringRequired

      Whether the block volume is ready.

    • type
      StringRequired

      The type.

    • uuid
      StringRequired

      The resource UUID.

    • vendor
      StringRequired

      The vendor.